#
# spec file for package libcthreads
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libcthreads
%define lname	libcthreads1
Version:        20240413
Release:        1.3
Summary:        Library for C threads functions
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libcthreads
Source:         https://github.com/libyal/libcthreads/releases/download/%version/libcthreads-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libcthreads/releases/download/%version/libcthreads-alpha-%version.tar.gz.asc
Source3:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
A library for C threads functions.

libcthreads is part of the libyal library collection

%package -n %lname
Summary:        Library for C thread functions
Group:          System/Libraries

%description -n %lname
A library for C thread functions.

libcthreads is part of the libyal library collection

%package devel
Summary:        Development files for libcthreads, a C thread library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for C thread functions.

This subpackage contains libraries and header files for developing
applications that want to make use of libcthreads.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING.LESSER
%_libdir/libcthreads.so.1*

%files devel
%_includedir/libcthreads*
%_libdir/libcthreads.so
%_libdir/pkgconfig/libcthreads.pc
%_mandir/man3/libcthreads.3*

%changelog
* Sat Apr 13 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240413
  * No changelog was provided
* Tue Jan  2 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240102
  * Testsuite updates
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Sat Jan  8 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220102
  * No changes, version bump only.
* Sun Nov 14 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 20211115
  * Build updates for MSVC.
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210415 (036bab2b)
  * No changelog was provided
- Add system-libs.patch
* Fri Dec 18 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200508
  * no documented changes
* Sat Apr 13 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20180724
  * Changes to represent EAGAIN in error messages
  * Changes to represent EDEADLK in error messages
  * Code clean up
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~2017
  * added value free callback function to queue free
  * applied updates
  * code clean up
  * corrections in include header
  * fixed values array not being freed after join of thread pool
  * fixes for race in of thread pool helper threads
  * moved libcstring macros to common
  * updated common
  * update man page: libcthreads.3
  * worked on queue sorted push
  * worked on tests
  * worked on thread pool sorted push
  * worked on TP_POOL support
* Mon Jan  5 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- updated to v0~20140105
  * updated dependencies
  * 2014 update
  * updated man pages
  * Bug fixes for RW lock XP version, with thanks to Phillip Hellewell
* Thu Oct  3 2013 Greg.Freemyer@gmail.com
- initial package (v0~20130723)
